Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.6-compat
%define gcj_support 0
%define major                   4
%define minor                   0       
%define patch                   0       
%define majmin                  %{major}.%{minor}
%define eclipse_base            %{_libdir}/eclipse

Summary:        Eclipse Fortran Development Tools (Photran) plugin
Name:           eclipse-photran
Version:        %{majmin}.%{patch}
Release:        alt1_0.b4.3jpp6
License:        EPL
Group:          Development/Java
URL:            http://www.eclipse.org/photran
Requires: eclipse-platform

# The following tarball was generated by the makesource.sh script
Source0: org.eclipse.photran-v20080808_4_0_0_Beta4.tar.gz
Source1: makesource.sh
BuildRequires: eclipse-pde
BuildRequires: eclipse-cdt >= 4.0.1
%if %{gcj_support}
BuildRequires: gcc-java >= 4.0.2
BuildRequires: java-gcj-compat-devel >= 1.0.64
Requires(post): java-gcj-compat >= 1.0.64
Requires(postun): java-gcj-compat >= 1.0.64
%else
%endif

Requires: gdb make gcc-fortran
Requires: eclipse-platform >= 1:3.3.0

# Currently, upstream CDT only supports building on the platforms listed here.
ExclusiveArch: %{ix86} x86_64 ppc ia64
%define java_bin %_jvmdir/java/bin


%description
The eclipse-photran package contains the Photran Eclipse feature and plugins
that are useful for Fortran development.


%package        xlf
Summary:        IBM XL Fortran compiler support for Photran
Group:          Development/Java
Requires: %{name} = %{version}-%{release}

%description    xlf
%{summary}.


%prep
%setup -q -n org.eclipse.photran-v20080808_4_0_0_Beta4
# Fixup to use 1.5 source level
find -name \*.prefs | xargs sed -i -e 's/source=1.3/source=1.5/'


%build
export JAVA_HOME=%{java_home}
export PATH=%{java_bin}:/usr/bin:$PATH
for feature in org.eclipse.photran_feature org.eclipse.photran.intel org.eclipse.photran.vpg_feature \
               org.eclipse.photran.xlf_feature
do
  %{eclipse_base}/buildscripts/pdebuild -D -d cdt \
    -f $feature -a "-DjavacSource=1.5 -DjavacTarget=1.5"
done


%install
rm -rf ${RPM_BUILD_ROOT}

for feature in photran photran.vpg photran.xlf
do
  install -d -m755 ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}
  
  unzip -o -d ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature} \
              build/rpmBuild/org.eclipse.${feature}_feature.zip
  mv ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}/eclipse/* \
     ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}
  rmdir ${RPM_BUILD_ROOT}%{eclipse_base}/dropins/${feature}/eclipse
done

%if %{gcj_support}
aot-compile-rpm
%endif


%files
%doc org.eclipse.photran-feature/epl-v10.html
%{eclipse_base}/dropins/photran
%{eclipse_base}/dropins/photran.vpg
%if %{gcj_support}
%{_libdir}/gcj/%{name}
%endif

%files xlf
%{eclipse_base}/dropins/photran.xlf


%changelog
* Mon Jan 12 2009 Igor Vlasenko <viy@altlinux.ru> 4.0.0-alt1_0.b4.3jpp6
- eclipse 3.4.1 build

* Fri Aug 01 2008 Igor Vlasenko <viy@altlinux.ru> 4.0-alt3_1.b3.1jpp5
- fixed dependencies

* Thu Jul 31 2008 Igor Vlasenko <viy@altlinux.ru> 4.0-alt2_1.b3.1jpp6
- fixed dependencies

* Mon Jul 28 2008 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_1.b3.1jpp6
- eclipse 3.3.2

